Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class CallTypeParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.Named
          umontreal.iro.lecuyer.contactcenters.msk.params.CallTypeParams

Direct Known Subclasses:
  InboundTypeParams, OutboundTypeParams

    public abstract class CallTypeParams

extends Named

Represents the parameters common for inbound and outbound call types, used by blend/multi-skill call center models.

Field Summary
`protected Boolean` | `checkAgentsForTransfer`
`protected List<ServiceTimeParams>` | `conferenceTimes`
`protected Double` | `conferenceTimesMult`
`protected double[]` | `expectedWaitingTimesMult`
`protected Duration[]` | `expectedWaitingTimeThresh`
`protected MultiPeriodGenParams` | `patienceTime`
`protected double[]` | `patienceTimesMultCallBack`
`protected double[]` | `patienceTimesMultNoVirtualQueue`
`protected List<ServiceTimeParams>` | `preServiceTimesNoConf`
`protected Double` | `preServiceTimesNoConfMult`
`protected double[]` | `probAbandon`
`protected DoubleArray` | `probTransfer`
`protected DoubleArray` | `probTransferWait`
`protected double[]` | `probVirtualQueue`
`protected double[]` | `probVirtualQueueCallBack`
`protected List<ServiceTimeParams>` | `serviceTimes`
`protected Double` | `serviceTimesMult`
`protected DoubleArray` | `serviceTimesMultCallBack`
`protected DoubleArray` | `serviceTimesMultNoVirtualQueue`
`protected DoubleArray` | `serviceTimesMultTransfer`
`protected List<ProducedCallTypeParams>` | `transferTargets`
`protected List<ServiceTimeParams>` | `transferTimes`
`protected Double` | `transferTimesMult`
`protected Integer` | `virtualQueueTargetType`
`protected Double` | `waitingTimeDefaultVQ`
`protected Double` | `weight`
`protected double[]` | `weightPeriod`
`protected Integer` | `windowSizeVQ`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`name, properties`

Constructor Summary
`CallTypeParams()`

Method Summary
`List<ServiceTimeParams>` | `getConferenceTimes()` Gets the value of the conferenceTimes property.
`double` | `getConferenceTimesMult()` Gets the value of the conferenceTimesMult property.
`double[]` | `getExpectedWaitingTimesMult()`
`double` | `getExpectedWaitingTimesMult(int idx)`
`int` | `getExpectedWaitingTimesMultLength()`
`Duration[]` | `getExpectedWaitingTimeThresh()`
`Duration` | `getExpectedWaitingTimeThresh(int idx)`
`int` | `getExpectedWaitingTimeThreshLength()`
`MultiPeriodGenParams` | `getPatienceTime()` Gets the value of the patienceTime property.
`double[]` | `getPatienceTimesMultCallBack()`
`double` | `getPatienceTimesMultCallBack(int idx)`
`int` | `getPatienceTimesMultCallBackLength()`
`double[]` | `getPatienceTimesMultNoVirtualQueue()`
`double` | `getPatienceTimesMultNoVirtualQueue(int idx)`
`int` | `getPatienceTimesMultNoVirtualQueueLength()`
`List<ServiceTimeParams>` | `getPreServiceTimesNoConf()` Gets the value of the preServiceTimesNoConf property.
`double` | `getPreServiceTimesNoConfMult()` Gets the value of the preServiceTimesNoConfMult property.
`double[]` | `getProbAbandon()`
`double` | `getProbAbandon(int idx)`
`int` | `getProbAbandonLength()`
`DoubleArray` | `getProbTransfer()` Gets the value of the probTransfer property.
`DoubleArray` | `getProbTransferWait()` Gets the value of the probTransferWait property.
`double[]` | `getProbVirtualQueue()`
`double` | `getProbVirtualQueue(int idx)`
`double[]` | `getProbVirtualQueueCallBack()`
`double` | `getProbVirtualQueueCallBack(int idx)`
`int` | `getProbVirtualQueueCallBackLength()`
`int` | `getProbVirtualQueueLength()`
`List<ServiceTimeParams>` | `getServiceTimes()` Gets the value of the serviceTimes property.
`double` | `getServiceTimesMult()` Gets the value of the serviceTimesMult property.
`DoubleArray` | `getServiceTimesMultCallBack()` Gets the value of the serviceTimesMultCallBack property.
`DoubleArray` | `getServiceTimesMultNoVirtualQueue()` Gets the value of the serviceTimesMultNoVirtualQueue property.
`DoubleArray` | `getServiceTimesMultTransfer()` Gets the value of the serviceTimesMultTransfer property.
`List<ProducedCallTypeParams>` | `getTransferTargets()` Gets the value of the transferTargets property.
`List<ServiceTimeParams>` | `getTransferTimes()` Gets the value of the transferTimes property.
`double` | `getTransferTimesMult()` Gets the value of the transferTimesMult property.
`int` | `getVirtualQueueTargetType()` Gets the value of the virtualQueueTargetType property.
`double` | `getWaitingTimeDefaultVQ()` Gets the value of the waitingTimeDefaultVQ property.
`double` | `getWeight()` Gets the value of the weight property.
`double[]` | `getWeightPeriod()`
`double` | `getWeightPeriod(int idx)`
`int` | `getWeightPeriodLength()`
`int` | `getWindowSizeVQ()` Gets the value of the windowSizeVQ property.
`boolean` | `isCheckAgentsForTransfer()` Gets the value of the checkAgentsForTransfer property.
`boolean` | `isSetCheckAgentsForTransfer()`
`boolean` | `isSetConferenceTimes()`
`boolean` | `isSetConferenceTimesMult()`
`boolean` | `isSetExpectedWaitingTimesMult()`
`boolean` | `isSetExpectedWaitingTimeThresh()`
`boolean` | `isSetPatienceTime()`
`boolean` | `isSetPatienceTimesMultCallBack()`
`boolean` | `isSetPatienceTimesMultNoVirtualQueue()`
`boolean` | `isSetPreServiceTimesNoConf()`
`boolean` | `isSetPreServiceTimesNoConfMult()`
`boolean` | `isSetProbAbandon()`
`boolean` | `isSetProbTransfer()`
`boolean` | `isSetProbTransferWait()`
`boolean` | `isSetProbVirtualQueue()`
`boolean` | `isSetProbVirtualQueueCallBack()`
`boolean` | `isSetServiceTimes()`
`boolean` | `isSetServiceTimesMult()`
`boolean` | `isSetServiceTimesMultCallBack()`
`boolean` | `isSetServiceTimesMultNoVirtualQueue()`
`boolean` | `isSetServiceTimesMultTransfer()`
`boolean` | `isSetTransferTargets()`
`boolean` | `isSetTransferTimes()`
`boolean` | `isSetTransferTimesMult()`
`boolean` | `isSetVirtualQueueTargetType()`
`boolean` | `isSetWaitingTimeDefaultVQ()`
`boolean` | `isSetWeight()`
`boolean` | `isSetWeightPeriod()`
`boolean` | `isSetWindowSizeVQ()`
`void` | `setCheckAgentsForTransfer(boolean value)` Sets the value of the checkAgentsForTransfer property.
`void` | `setConferenceTimesMult(double value)` Sets the value of the conferenceTimesMult property.
`void` | `setExpectedWaitingTimesMult(double[] values)`
`double` | `setExpectedWaitingTimesMult(int idx, double value)`
`void` | `setExpectedWaitingTimeThresh(Duration[] values)`
`Duration` | `setExpectedWaitingTimeThresh(int idx, Duration value)`
`void` | `setPatienceTime(MultiPeriodGenParams value)` Sets the value of the patienceTime property.
`void` | `setPatienceTimesMultCallBack(double[] values)`
`double` | `setPatienceTimesMultCallBack(int idx, double value)`
`void` | `setPatienceTimesMultNoVirtualQueue(double[] values)`
`double` | `setPatienceTimesMultNoVirtualQueue(int idx, double value)`
`void` | `setPreServiceTimesNoConfMult(double value)` Sets the value of the preServiceTimesNoConfMult property.
`void` | `setProbAbandon(double[] values)`
`double` | `setProbAbandon(int idx, double value)`
`void` | `setProbTransfer(DoubleArray value)` Sets the value of the probTransfer property.
`void` | `setProbTransferWait(DoubleArray value)` Sets the value of the probTransferWait property.
`void` | `setProbVirtualQueue(double[] values)`
`double` | `setProbVirtualQueue(int idx, double value)`
`void` | `setProbVirtualQueueCallBack(double[] values)`
`double` | `setProbVirtualQueueCallBack(int idx, double value)`
`void` | `setServiceTimesMult(double value)` Sets the value of the serviceTimesMult property.
`void` | `setServiceTimesMultCallBack(DoubleArray value)` Sets the value of the serviceTimesMultCallBack property.
`void` | `setServiceTimesMultNoVirtualQueue(DoubleArray value)` Sets the value of the serviceTimesMultNoVirtualQueue property.
`void` | `setServiceTimesMultTransfer(DoubleArray value)` Sets the value of the serviceTimesMultTransfer property.
`void` | `setTransferTimesMult(double value)` Sets the value of the transferTimesMult property.
`void` | `setVirtualQueueTargetType(int value)` Sets the value of the virtualQueueTargetType property.
`void` | `setWaitingTimeDefaultVQ(double value)` Sets the value of the waitingTimeDefaultVQ property.
`void` | `setWeight(double value)` Sets the value of the weight property.
`void` | `setWeightPeriod(double[] values)`
`double` | `setWeightPeriod(int idx, double value)`
`void` | `setWindowSizeVQ(int value)` Sets the value of the windowSizeVQ property.
`void` | `unsetCheckAgentsForTransfer()`
`void` | `unsetConferenceTimes()`
`void` | `unsetConferenceTimesMult()`
`void` | `unsetExpectedWaitingTimesMult()`
`void` | `unsetExpectedWaitingTimeThresh()`
`void` | `unsetPatienceTimesMultCallBack()`
`void` | `unsetPatienceTimesMultNoVirtualQueue()`
`void` | `unsetPreServiceTimesNoConf()`
`void` | `unsetPreServiceTimesNoConfMult()`
`void` | `unsetProbAbandon()`
`void` | `unsetProbVirtualQueue()`
`void` | `unsetProbVirtualQueueCallBack()`
`void` | `unsetServiceTimes()`
`void` | `unsetServiceTimesMult()`
`void` | `unsetTransferTargets()`
`void` | `unsetTransferTimes()`
`void` | `unsetTransferTimesMult()`
`void` | `unsetVirtualQueueTargetType()`
`void` | `unsetWaitingTimeDefaultVQ()`
`void` | `unsetWeight()`
`void` | `unsetWeightPeriod()`
`void` | `unsetWindowSizeVQ()`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`getName, getProperties, isSetName, isSetProperties, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### weightPeriod

    protected double[] weightPeriod

### probAbandon

    protected double[] probAbandon

### patienceTime

    protected MultiPeriodGenParams patienceTime

### serviceTimes

    protected List<ServiceTimeParams> serviceTimes

### conferenceTimes

    protected List<ServiceTimeParams> conferenceTimes

### preServiceTimesNoConf

    protected List<ServiceTimeParams> preServiceTimesNoConf

### serviceTimesMultTransfer

    protected DoubleArray serviceTimesMultTransfer

### transferTimes

    protected List<ServiceTimeParams> transferTimes

### probTransfer

    protected DoubleArray probTransfer

### probTransferWait

    protected DoubleArray probTransferWait

### transferTargets

    protected List<ProducedCallTypeParams> transferTargets

### expectedWaitingTimeThresh

    protected Duration[] expectedWaitingTimeThresh

### expectedWaitingTimesMult

    protected double[] expectedWaitingTimesMult

### probVirtualQueue

    protected double[] probVirtualQueue

### probVirtualQueueCallBack

    protected double[] probVirtualQueueCallBack

### patienceTimesMultNoVirtualQueue

    protected double[] patienceTimesMultNoVirtualQueue

### patienceTimesMultCallBack

    protected double[] patienceTimesMultCallBack

### serviceTimesMultNoVirtualQueue

    protected DoubleArray serviceTimesMultNoVirtualQueue

### serviceTimesMultCallBack

    protected DoubleArray serviceTimesMultCallBack

### weight

    protected Double weight

### serviceTimesMult

    protected Double serviceTimesMult

### conferenceTimesMult

    protected Double conferenceTimesMult

### preServiceTimesNoConfMult

    protected Double preServiceTimesNoConfMult

### transferTimesMult

    protected Double transferTimesMult

### checkAgentsForTransfer

    protected Boolean checkAgentsForTransfer

### waitingTimeDefaultVQ

    protected Double waitingTimeDefaultVQ

### windowSizeVQ

    protected Integer windowSizeVQ

### virtualQueueTargetType

    protected Integer virtualQueueTargetType

Constructor Detail

### CallTypeParams

    public CallTypeParams()

Method Detail

### getWeightPeriod

    public double[] getWeightPeriod()

  Returns:
    array of `Double`

### getWeightPeriod

    public double getWeightPeriod(int idx)

  Returns:
    one of `Double`

### getWeightPeriodLength

    public int getWeightPeriodLength()

### setWeightPeriod

    public void setWeightPeriod(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setWeightPeriod

    public double setWeightPeriod(int idx,
                                  double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetWeightPeriod

    public boolean isSetWeightPeriod()

### unsetWeightPeriod

    public void unsetWeightPeriod()

### getProbAbandon

    public double[] getProbAbandon()

  Returns:
    array of `Double`

### getProbAbandon

    public double getProbAbandon(int idx)

  Returns:
    one of `Double`

### getProbAbandonLength

    public int getProbAbandonLength()

### setProbAbandon

    public void setProbAbandon(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setProbAbandon

    public double setProbAbandon(int idx,
                                 double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetProbAbandon

    public boolean isSetProbAbandon()

### unsetProbAbandon

    public void unsetProbAbandon()

### getPatienceTime

    public MultiPeriodGenParams getPatienceTime()

  Gets the value of the patienceTime property.

  Returns:
    possible object is `MultiPeriodGenParams`

### setPatienceTime

    public void setPatienceTime(MultiPeriodGenParams value)

  Sets the value of the patienceTime property.

  Parameters:
    `value` - allowed object is `MultiPeriodGenParams`

### isSetPatienceTime

    public boolean isSetPatienceTime()

### getServiceTimes

    public List<ServiceTimeParams> getServiceTimes()

  Gets the value of the serviceTimes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the serviceTimes property.

  For example, to add a new item, do as follows:

          getServiceTimes().add(newItem);

  Objects of the following type(s) are allowed in the list `ServiceTimeParams`

### isSetServiceTimes

    public boolean isSetServiceTimes()

### unsetServiceTimes

    public void unsetServiceTimes()

### getConferenceTimes

    public List<ServiceTimeParams> getConferenceTimes()

  Gets the value of the conferenceTimes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the conferenceTimes property.

  For example, to add a new item, do as follows:

          getConferenceTimes().add(newItem);

  Objects of the following type(s) are allowed in the list `ServiceTimeParams`

### isSetConferenceTimes

    public boolean isSetConferenceTimes()

### unsetConferenceTimes

    public void unsetConferenceTimes()

### getPreServiceTimesNoConf

    public List<ServiceTimeParams> getPreServiceTimesNoConf()

  Gets the value of the preServiceTimesNoConf property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the preServiceTimesNoConf property.

  For example, to add a new item, do as follows:

          getPreServiceTimesNoConf().add(newItem);

  Objects of the following type(s) are allowed in the list `ServiceTimeParams`

### isSetPreServiceTimesNoConf

    public boolean isSetPreServiceTimesNoConf()

### unsetPreServiceTimesNoConf

    public void unsetPreServiceTimesNoConf()

### getServiceTimesMultTransfer

    public DoubleArray getServiceTimesMultTransfer()

  Gets the value of the serviceTimesMultTransfer property.

  Returns:
    possible object is `DoubleArray`

### setServiceTimesMultTransfer

    public void setServiceTimesMultTransfer(DoubleArray value)

  Sets the value of the serviceTimesMultTransfer property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetServiceTimesMultTransfer

    public boolean isSetServiceTimesMultTransfer()

### getTransferTimes

    public List<ServiceTimeParams> getTransferTimes()

  Gets the value of the transferTimes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transferTimes property.

  For example, to add a new item, do as follows:

          getTransferTimes().add(newItem);

  Objects of the following type(s) are allowed in the list `ServiceTimeParams`

### isSetTransferTimes

    public boolean isSetTransferTimes()

### unsetTransferTimes

    public void unsetTransferTimes()

### getProbTransfer

    public DoubleArray getProbTransfer()

  Gets the value of the probTransfer property.

  Returns:
    possible object is `DoubleArray`

### setProbTransfer

    public void setProbTransfer(DoubleArray value)

  Sets the value of the probTransfer property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetProbTransfer

    public boolean isSetProbTransfer()

### getProbTransferWait

    public DoubleArray getProbTransferWait()

  Gets the value of the probTransferWait property.

  Returns:
    possible object is `DoubleArray`

### setProbTransferWait

    public void setProbTransferWait(DoubleArray value)

  Sets the value of the probTransferWait property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetProbTransferWait

    public boolean isSetProbTransferWait()

### getTransferTargets

    public List<ProducedCallTypeParams> getTransferTargets()

  Gets the value of the transferTargets property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transferTargets property.

  For example, to add a new item, do as follows:

          getTransferTargets().add(newItem);

  Objects of the following type(s) are allowed in the list `ProducedCallTypeParams`

### isSetTransferTargets

    public boolean isSetTransferTargets()

### unsetTransferTargets

    public void unsetTransferTargets()

### getExpectedWaitingTimeThresh

    public Duration[] getExpectedWaitingTimeThresh()

  Returns:
    array of `Duration`

### getExpectedWaitingTimeThresh

    public Duration getExpectedWaitingTimeThresh(int idx)

  Returns:
    one of `Duration`

### getExpectedWaitingTimeThreshLength

    public int getExpectedWaitingTimeThreshLength()

### setExpectedWaitingTimeThresh

    public void setExpectedWaitingTimeThresh(Duration[] values)

  Parameters:
    `values` - allowed objects are `Duration`

### setExpectedWaitingTimeThresh

    public Duration setExpectedWaitingTimeThresh(int idx,
                                                 Duration value)

  Parameters:
    `value` - allowed object is `Duration`

### isSetExpectedWaitingTimeThresh

    public boolean isSetExpectedWaitingTimeThresh()

### unsetExpectedWaitingTimeThresh

    public void unsetExpectedWaitingTimeThresh()

### getExpectedWaitingTimesMult

    public double[] getExpectedWaitingTimesMult()

  Returns:
    array of `Double`

### getExpectedWaitingTimesMult

    public double getExpectedWaitingTimesMult(int idx)

  Returns:
    one of `Double`

### getExpectedWaitingTimesMultLength

    public int getExpectedWaitingTimesMultLength()

### setExpectedWaitingTimesMult

    public void setExpectedWaitingTimesMult(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setExpectedWaitingTimesMult

    public double setExpectedWaitingTimesMult(int idx,
                                              double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetExpectedWaitingTimesMult

    public boolean isSetExpectedWaitingTimesMult()

### unsetExpectedWaitingTimesMult

    public void unsetExpectedWaitingTimesMult()

### getProbVirtualQueue

    public double[] getProbVirtualQueue()

  Returns:
    array of `Double`

### getProbVirtualQueue

    public double getProbVirtualQueue(int idx)

  Returns:
    one of `Double`

### getProbVirtualQueueLength

    public int getProbVirtualQueueLength()

### setProbVirtualQueue

    public void setProbVirtualQueue(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setProbVirtualQueue

    public double setProbVirtualQueue(int idx,
                                      double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetProbVirtualQueue

    public boolean isSetProbVirtualQueue()

### unsetProbVirtualQueue

    public void unsetProbVirtualQueue()

### getProbVirtualQueueCallBack

    public double[] getProbVirtualQueueCallBack()

  Returns:
    array of `Double`

### getProbVirtualQueueCallBack

    public double getProbVirtualQueueCallBack(int idx)

  Returns:
    one of `Double`

### getProbVirtualQueueCallBackLength

    public int getProbVirtualQueueCallBackLength()

### setProbVirtualQueueCallBack

    public void setProbVirtualQueueCallBack(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setProbVirtualQueueCallBack

    public double setProbVirtualQueueCallBack(int idx,
                                              double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetProbVirtualQueueCallBack

    public boolean isSetProbVirtualQueueCallBack()

### unsetProbVirtualQueueCallBack

    public void unsetProbVirtualQueueCallBack()

### getPatienceTimesMultNoVirtualQueue

    public double[] getPatienceTimesMultNoVirtualQueue()

  Returns:
    array of `Double`

### getPatienceTimesMultNoVirtualQueue

    public double getPatienceTimesMultNoVirtualQueue(int idx)

  Returns:
    one of `Double`

### getPatienceTimesMultNoVirtualQueueLength

    public int getPatienceTimesMultNoVirtualQueueLength()

### setPatienceTimesMultNoVirtualQueue

    public void setPatienceTimesMultNoVirtualQueue(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setPatienceTimesMultNoVirtualQueue

    public double setPatienceTimesMultNoVirtualQueue(int idx,
                                                     double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetPatienceTimesMultNoVirtualQueue

    public boolean isSetPatienceTimesMultNoVirtualQueue()

### unsetPatienceTimesMultNoVirtualQueue

    public void unsetPatienceTimesMultNoVirtualQueue()

### getPatienceTimesMultCallBack

    public double[] getPatienceTimesMultCallBack()

  Returns:
    array of `Double`

### getPatienceTimesMultCallBack

    public double getPatienceTimesMultCallBack(int idx)

  Returns:
    one of `Double`

### getPatienceTimesMultCallBackLength

    public int getPatienceTimesMultCallBackLength()

### setPatienceTimesMultCallBack

    public void setPatienceTimesMultCallBack(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setPatienceTimesMultCallBack

    public double setPatienceTimesMultCallBack(int idx,
                                               double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetPatienceTimesMultCallBack

    public boolean isSetPatienceTimesMultCallBack()

### unsetPatienceTimesMultCallBack

    public void unsetPatienceTimesMultCallBack()

### getServiceTimesMultNoVirtualQueue

    public DoubleArray getServiceTimesMultNoVirtualQueue()

  Gets the value of the serviceTimesMultNoVirtualQueue property.

  Returns:
    possible object is `DoubleArray`

### setServiceTimesMultNoVirtualQueue

    public void setServiceTimesMultNoVirtualQueue(DoubleArray value)

  Sets the value of the serviceTimesMultNoVirtualQueue property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetServiceTimesMultNoVirtualQueue

    public boolean isSetServiceTimesMultNoVirtualQueue()

### getServiceTimesMultCallBack

    public DoubleArray getServiceTimesMultCallBack()

  Gets the value of the serviceTimesMultCallBack property.

  Returns:
    possible object is `DoubleArray`

### setServiceTimesMultCallBack

    public void setServiceTimesMultCallBack(DoubleArray value)

  Sets the value of the serviceTimesMultCallBack property.

  Parameters:
    `value` - allowed object is `DoubleArray`

### isSetServiceTimesMultCallBack

    public boolean isSetServiceTimesMultCallBack()

### getWeight

    public double getWeight()

  Gets the value of the weight property.

  Returns:
    possible object is `Double`

### setWeight

    public void setWeight(double value)

  Sets the value of the weight property.

  Parameters:
    `value` - allowed object is `Double`

### isSetWeight

    public boolean isSetWeight()

### unsetWeight

    public void unsetWeight()

### getServiceTimesMult

    public double getServiceTimesMult()

  Gets the value of the serviceTimesMult property.

  Returns:
    possible object is `Double`

### setServiceTimesMult

    public void setServiceTimesMult(double value)

  Sets the value of the serviceTimesMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetServiceTimesMult

    public boolean isSetServiceTimesMult()

### unsetServiceTimesMult

    public void unsetServiceTimesMult()

### getConferenceTimesMult

    public double getConferenceTimesMult()

  Gets the value of the conferenceTimesMult property.

  Returns:
    possible object is `Double`

### setConferenceTimesMult

    public void setConferenceTimesMult(double value)

  Sets the value of the conferenceTimesMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetConferenceTimesMult

    public boolean isSetConferenceTimesMult()

### unsetConferenceTimesMult

    public void unsetConferenceTimesMult()

### getPreServiceTimesNoConfMult

    public double getPreServiceTimesNoConfMult()

  Gets the value of the preServiceTimesNoConfMult property.

  Returns:
    possible object is `Double`

### setPreServiceTimesNoConfMult

    public void setPreServiceTimesNoConfMult(double value)

  Sets the value of the preServiceTimesNoConfMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetPreServiceTimesNoConfMult

    public boolean isSetPreServiceTimesNoConfMult()

### unsetPreServiceTimesNoConfMult

    public void unsetPreServiceTimesNoConfMult()

### getTransferTimesMult

    public double getTransferTimesMult()

  Gets the value of the transferTimesMult property.

  Returns:
    possible object is `Double`

### setTransferTimesMult

    public void setTransferTimesMult(double value)

  Sets the value of the transferTimesMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetTransferTimesMult

    public boolean isSetTransferTimesMult()

### unsetTransferTimesMult

    public void unsetTransferTimesMult()

### isCheckAgentsForTransfer

    public boolean isCheckAgentsForTransfer()

  Gets the value of the checkAgentsForTransfer property.

  Returns:
    possible object is `Boolean`

### setCheckAgentsForTransfer

    public void setCheckAgentsForTransfer(boolean value)

  Sets the value of the checkAgentsForTransfer property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetCheckAgentsForTransfer

    public boolean isSetCheckAgentsForTransfer()

### unsetCheckAgentsForTransfer

    public void unsetCheckAgentsForTransfer()

### getWaitingTimeDefaultVQ

    public double getWaitingTimeDefaultVQ()

  Gets the value of the waitingTimeDefaultVQ property.

  Returns:
    possible object is `Double`

### setWaitingTimeDefaultVQ

    public void setWaitingTimeDefaultVQ(double value)

  Sets the value of the waitingTimeDefaultVQ property.

  Parameters:
    `value` - allowed object is `Double`

### isSetWaitingTimeDefaultVQ

    public boolean isSetWaitingTimeDefaultVQ()

### unsetWaitingTimeDefaultVQ

    public void unsetWaitingTimeDefaultVQ()

### getWindowSizeVQ

    public int getWindowSizeVQ()

  Gets the value of the windowSizeVQ property.

  Returns:
    possible object is `Integer`

### setWindowSizeVQ

    public void setWindowSizeVQ(int value)

  Sets the value of the windowSizeVQ property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetWindowSizeVQ

    public boolean isSetWindowSizeVQ()

### unsetWindowSizeVQ

    public void unsetWindowSizeVQ()

### getVirtualQueueTargetType

    public int getVirtualQueueTargetType()

  Gets the value of the virtualQueueTargetType property.

  Returns:
    possible object is `Integer`

### setVirtualQueueTargetType

    public void setVirtualQueueTargetType(int value)

  Sets the value of the virtualQueueTargetType property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetVirtualQueueTargetType

    public boolean isSetVirtualQueueTargetType()

### unsetVirtualQueueTargetType

    public void unsetVirtualQueueTargetType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.